#ifndef SEARCH_HPP
#define SEARCH_HPP

#include "logger.hpp"
#include "tool.hpp"

class Search : public Tool {
    Q_OBJECT

    public:
        Search();
        void nextResult();
        void needleChanged();

    signals:
        void search(QString);
        void searchChanged(QString);
        void searchWithCase(QString);
        void searchWithCaseChanged(QString);

    private:
        QHBoxLayout* lo;
        QLineEdit* findEdit;
        QCheckBox* caseOpt;
};

#endif
